%define upstream_name    DBD-Sybase
%define upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Sybase database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/~mewp/DBD-Sybase/
Source0:    http://search.cpan.org/CPAN/authors/id/M/ME/MEWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: freetds-devel
BuildRequires: gettext-devel
BuildRequires: perl-DBI >= 1.00
BuildRequires: perl-devel
%description
DBD::Sybase is a Perl module which works with the DBI module to provide access
to Sybase databases. With FreeTDS DBD::Sybase can be also used to query a
MS-SQL 7 or 2000 database server from a UNIX/Linux host.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export SYBASE=%{_prefix}
echo -e "\n\n\n\n\n\n" | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}" LD_RUN_PATH=""

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CONFIG META.yml README eg
%{perl_vendorarch}/DBD/Sybase.pm
%{perl_vendorarch}/DBD/dbd-sybase.pod
%dir %{perl_vendorarch}/auto/DBD/Sybase
%attr(0755,root,root) %{perl_vendorarch}/auto/DBD/Sybase/Sybase.so
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0-3.mga3
+ Revision: 365033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.140.0-2.mga3
+ Revision: 250495
- rebuild for perl 5.16

* Thu Oct 13 2011 jquelin <jquelin> 1.140.0-1.mga2
+ Revision: 154587
- update to 1.14

* Fri Sep 16 2011 takashi <takashi> 1.130.0-1.mga2
+ Revision: 144206
- update to 1.13

* Wed Jun 15 2011 jquelin <jquelin> 1.120.0-1.mga2
+ Revision: 107798
- update to 1.12

* Sat Jun 11 2011 sander85 <sander85> 1.110.0-3.mga2
+ Revision: 104146
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.110.0-2.mga1
+ Revision: 32733
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 30034
- mageia rebuild
- imported package perl-DBD-Sybase

